commit:     230b481719eda51f550a0338326f0d28dfdbfc0c
Author:     Robert Siebeck <gentoo.2019 <AT> r123 <DOT> de>
AuthorDate: Wed Mar 11 19:00:12 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 14 19:00:01 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=230b4817

app-editors/zed: add 0.227.1

Signed-off-by: Robert Siebeck <gentoo.2019 <AT> r123.de>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/299
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-editors/zed/Manifest           |   7 +
 app-editors/zed/zed-0.227.1.ebuild | 254 +++++++++++++++++++++++++++++++++++++
 2 files changed, 261 insertions(+)

diff --git a/app-editors/zed/Manifest b/app-editors/zed/Manifest
index e02ac17900f6..df1902a09c55 100644
--- a/app-editors/zed/Manifest
+++ b/app-editors/zed/Manifest
@@ -8,9 +8,11 @@ DIST 
dap-types-1b461b310481d01e02b2603c16d7144b926339f8.gh.tar.gz 77173 BLAKE2B
 DIST font-kit-110523127440aefb11ce0cf280ae7c5071337ec5.gh.tar.gz 1289436 
BLAKE2B 
abe61ea8a1442b9d4d6a1de7751b5e1becb44834cd8fb1040d54c3329af45d3472b97198c6b951f8f8e2444b3988e783d498271a65473c54ab3c1421cbb43664
 SHA512 
ebedc99904db7805233e40c40e1a1a918119a039709fa1269a1fe6f336b7d28fa0dea7cd747509d0cafa04f435d1e2f311a203e493f86f9414331ff9c1e774ec
 DIST gh-workflow-09acfdf2bd5c1d6254abefd609c808ff73547b2c.gh.tar.gz 44984 
BLAKE2B 
59ddc7877b29b03c0569ff7f4c26ebffe1644ac14e1333e25c8232383f375aa128c414d1a8b2bb5c410b70ee2dd36955ca7ff57460c131e386e439594cc3ffbe
 SHA512 
9875ef12e34eaa29fe14212c03c686758bc885df55b81f9d97cdfce47f01b7775d3dc9d3fc9f07384094ec9c8a643dae8b7710fac344ca7fbc3ea47c471e91e3
 DIST gh-workflow-c9eac0ed361583e1072860d96776fa52775b82ac.gh.tar.gz 45166 
BLAKE2B 
823c90fc60fe0531aac9a69604aa664e25e4b7418c33f07e6bb44e119f806e9deff0cc846c02c525fc414ee457e99c58c706751cac0788332ec16c749d19465f
 SHA512 
cdea0d69eccf849e772ce06dfc7457d07fde66cfb567435576eb0c3923cef31300d455c957365e8d0dcab596ab8bf908cf0d39c8727cb134199e1a9521ad5885
+DIST livekit-rust-sdks-37835f840d0070d45ac8b31cce6a6ae7aca3f459.gh.tar.gz 
6843725 BLAKE2B 
dc4c855a63e16ea50c9aabf09b8b3498a6388d0a77dbc1c01f3eab9b2f7ecb4fec61af9d32144ded3ca2d13f3e0642fab5a3e8ec455fa358a0747f495403022b
 SHA512 
40d735c0ab28535b97193d134f3359866780a101967a71c10e4cf35a45f6e7938473554b326e75a9ab8fc38e635a31fa657f19d7d87b0f688fc028dabc0953b7
 DIST livekit-rust-sdks-5f04705ac3f356350ae31534ffbc476abc9ea83d.gh.tar.gz 
6248604 BLAKE2B 
d9185f7f05a0f872b4931be08ea6700b17a35d011ece757e8e2188bda1b0257843b925709c1e778f820a728942020bdcbd5f9c17e9cd638acc1c250d6cbb66d4
 SHA512 
731cdf1781744d25f553f917e030d5009952dfe159852c58d07178e18e88cd8e7b6001e2c6b8c7ccef346ed878010d681a1e841c1bea30d74b480584e3ae6525
 DIST lsp-types-a4f410987660bf560d1e617cb78117c6b6b9f599.gh.tar.gz 73865 
BLAKE2B 
2120cb8a8e9b4df03c2f37d44ec2c6431492c1b16c00fc4b9df9b69eae14909b5b01d879c7004742d81917a231c574c0a035ced64914b52e5d458796955e1f11
 SHA512 
7f46b369978e63ed9580cc3e82ca2ec8165adac29e49d163e433724b40d05e1946b417da9ed76b9ea6d490530a3a8cddac3d410458534cc780c54ddd8f166028
 DIST lsp-types-b71ab4eeb27d9758be8092020a46fe33fbca4e33.gh.tar.gz 74361 
BLAKE2B 
29a5695edad50e785021658cf389e56d8ce2318e269407d2636f1d96d6b7cc5e31dfa444a214be8ba94b7f4ed54acdb8bd743860fd618bb81872fe7c8db38c4f
 SHA512 
94e393c5c7741962191de3ef969f7702a966bb7f1517518ec8333861d185ad7d99fa93e4ac96679aa39fdaa38af70ffec3b9445f8a3aeb0aa1db657425803970
+DIST mermaid-rs-renderer-374db9ead5426697c6c2111151d9f246899bc638.gh.tar.gz 
12938717 BLAKE2B 
bc092e6f6b66478a443ba801a5f62824032d3f81390166e498f8639fdc119311b7d31fd7b18ad03c3560c4b01215f005fdbd6442dd3f66b8bed83e31a2eac433
 SHA512 
d59445252b14fbb04d374b3856ca8648c008a6ab0486ed5a8f042c824cdcf5ff2439c5cdd5415392416583c0cb4e9d4dc56869525d9fbcbd81d5c8abff214bb3
 DIST mermaid-rs-renderer-9d8360d9cea10dc4bc86d7b8012cc6e9656e6cf2.gh.tar.gz 
12935471 BLAKE2B 
d3d6397174449a13f532fa4bd83112069c7421ac9dab7b1a76cab11672a528769267ea23324962b706073d557ac2109124a6167e701303e9bebc8ac8519f6251
 SHA512 
3a43df92e2490f98b6d24e6073c38c7922d98757b43440e70b3eb466ec876f4764e1745aee31cfa1183b180038bfbc8034af52d6661122a51b939ddb94b019d5
 DIST notify-b4588b2e5aee68f4c0e100f140e808cbce7b1419.gh.tar.gz 133736 BLAKE2B 
28c3014bbc9a4067c169933eb384d1fe95eaebd29efffe5059274a64f80e5fb95333c67a6c6f7f09d362ba349507a4aeb45bc9d783e8d6eb58e7c3230e2fc750
 SHA512 
91124db99dc0d375813f61ccd3339c54286b2eef1c3f940805eea4d97094d6653cfabf51d2872d544ba8b5b6d0f50ae490a5472879fc5076b8f18a8de91fc8f5
 DIST notify-ce58c24cad542c28e04ced02e20325a4ec28a31d.gh.tar.gz 108952 BLAKE2B 
ab6a1c7a66b551eb4168ccebf4d61dd792b9d8707ddc66720407c638ede06c74144b45d76e9cb7f33e4dd9fa519f3a020d0fcd231ed8cb3a8f23cae27991f0b9
 SHA512 
6cbb8b85a58d86b4f62331a84c10b76909542a8e696d4394c0798bb6ed273633c5ea85e495d0e756c4cd636307927880fab5c519defc363d7bceae42bf7a288b
@@ -30,8 +32,11 @@ DIST 
tree-sitter-heex-1dd45142fbb05562e35b2040c6129c9bca346592.gh.tar.gz 33900 B
 DIST tree-sitter-markdown-9a23c1a96c0513d8fc6520972beedd419a973539.gh.tar.gz 
418620 BLAKE2B 
42c4a9029311aaff11932e6ee426494eb833e9b353763dd45f49fcdb94b297eef65e148e789681d628d80e6985516e8d622eb6e4744814cfa44ff53bea9260b5
 SHA512 
f1bc7c18bd0d72addb4e73a6e55f057cd6e104a3fb5c970d5036708e69e682d7288e6c14a7040c3f5213e18d798a503fca703c28f89627999e13269749300209
 DIST tree-sitter-typescript-e2c53597d6a5d9cf7bbe8dccde576fe1e46c5899.gh.tar.gz 
1029506 BLAKE2B 
01434a26c7438f20a0834e91e40b9e4aed746f908d21b98b0851ba430c687bc301f46a6eb27768cd0d58c9c2c8a3e99850910fccc0bc08319ea826127cf30d83
 SHA512 
88c18d062a7224adfbfb952f10ee5054762055362a96dbf46832868088dcfaac34ac9ed41fcb8dd5e0ee133a245d161d7b064796ca523405b0bfbd6e6aacc27f
 DIST tree-sitter-yaml-baff0b51c64ef6a1fb1f8390f3ad6015b83ec13a.gh.tar.gz 
145319 BLAKE2B 
ab84051fd4a487f54295b112e1f03ac85b8399d98dd727297960ea240ffe8faa8fc8363353a56adaa411accc57b56d1ef16a5ed612e143637ba9682fa49b332c
 SHA512 
d9e143449cdbe2b092faeeef82d0c9029c7b7c473539db91d22511a71d35740eb3d054a62b20cd9f178e2d1f52d3dddae91fbd5fc5516cf1a047f1a6b9e3b2de
+DIST webrtc-0001d84-2-linux-arm64-release.zip 148769149 BLAKE2B 
711f9ef14831be3282abf225656fe19e262de6bd1501de4656fdab9ed0166c053ea1884083dc24d00c5685ffc30527de1de24b982f6a4b33a3117611f4b130b3
 SHA512 
1b41680ff16ab33f5c2f380e76f293d144a9b8aadfb2905d55da70fed51472879f243817fabd604f738d61e657f4f54c26b2e4e46b4347f1d915f925d2ec6d51
+DIST webrtc-0001d84-2-linux-x64-release.zip 133286334 BLAKE2B 
274a9d6473fb41dbdc1661a1b04c088fdd327d32a088859939aaa079db3929363fa50917cc845a79327b9a6260b4d551b8f74c057cb50464896a0d4e81f17d34
 SHA512 
7cb2d4163b6dc90dbc3298e565a8a33c9c167ea0ae9c2a71d0ab505115e1e9e072b1a92ff0f7f7036bd691d5bfce48d9395600ce32e24945c1273f7dfe6396c2
 DIST webrtc-b99fd2c-6-linux-arm64-release.zip 115706228 BLAKE2B 
61a92092beb2680364e10f7d44b83382de1495af8f18decedb7e76fd54a997726c364615b45c5ccb228e3c4e2977da9ee2ae96a696d6d3b4701cf3079c60d15b
 SHA512 
36f8de22f1660508bbfe0cdf468b259c3924668d7c366c4f1b484c94fe6607d059aef15c3a893dd1ede6137e4518e9faf4ff0056c003534175abcbab52fd7ffa
 DIST webrtc-b99fd2c-6-linux-x64-release.zip 100706879 BLAKE2B 
2f1b8bc05172bbfdaaea9580a5254797f94614060aa4159d322ea38667426025ac2e846a7c6fa4253950d84653559672fe78a8b19ddea6f66dd8560e1737cb0c
 SHA512 
92a45c3c5d89fa5f2e1b5bd70b1e09ce9c7aefbdf8cf8d0e25347708955f4d8aa8c0d9ec4a857cacf6096603f59a8f08729a4088410756048288e263be84a952
+DIST wgpu-6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d.gh.tar.gz 13632392 BLAKE2B 
faf7aa3c3c89de140c1526eb4b7a3828614c6b594fdb5ee7a648c635b761c2b6f9678d0eade2512b12a7c3360876071102ac04ddc2008c731e6202799fcd8e31
 SHA512 
386d795c308f45f09892395a8b5852258d8aedb415df58d52acbf1593d49a3227e2ebb53435cb8364ba1bce7bf6914f49f4a19f1b987be6cb75308be449c833e
 DIST wgpu-e0f83a6cedc5e0b97da1ebe2d638ad103672e0a2.gh.tar.gz 13632262 BLAKE2B 
d98c673bb9d0d12aebc31830e832156d519617aab83a600de325aaba8cfea62dcfacfc85513155884054a83783d02ae6ac3e65118b27c45fb649b6818245fa9a
 SHA512 
503b6bcf4194001ba5b4641ad908379b38f2823de5289e1e6c41486a64731b64de9fbf72fe37d7dd626cabf1f5ba2d8bcfdfe2dbb77468594319ec6f1ea468c9
 DIST windows-capture-f0d6c1b6691db75461b732f6d5ff56eed002eeb9.gh.tar.gz 40237 
BLAKE2B 
b6ec6ad2534162c113c48e0f9cdd8cdf8af9eaf6258a6e147ed0d464045f98d76ceb28d2704095a770ebb394313dd77f5ea1178aad68447da5f5c5b4f3e3d668
 SHA512 
d0091e43baac7869fe6faa07c2345f3ae1401c00789e77a32aa80321b9b08bbaa4daca4978948d015cee95dd8434c33fdfd823b18657876c546d77ee3024089d
 DIST wprcontrol-cd811f7d744f65291e13131b1d907fda63ed91a1.gh.tar.gz 19787 
BLAKE2B 
78d078adb3d8a3990c1864c300298ea2ee0a4dba482ce35b72f389bf0b999002c21d07cc330a8dbd63dc1d3c8878f0fbcbaf0ee02356d8a757ee51f463fece57
 SHA512 
769670f61f41402618b0960809654db49f5ec67fa37cd2064a0e69f72284381145fce123c3bb97615f8b40eef3d6e917c4530903a197db61d68088673bbac801
@@ -42,3 +47,5 @@ DIST zed-0.221.5-crates.tar.xz 114112132 BLAKE2B 
942f7422b09f1ad70542c5080712876
 DIST zed-0.221.5.tar.gz 24000605 BLAKE2B 
136e8f364c48226bfc6c1bab3a385b38fdda657ba08598edd69fd88f979f3a17eadc15d77d54b025eed4a1759f0839e1a7b04783b78e9e392b226107872127b7
 SHA512 
0832b4e352f1680e0eb0ab5596333064bd1cd68ec47bfec3601bc8ad67938e7658520a5f7d5112ee07a0d606e7ef2131093c7d78263416a186101c62ea119e04
 DIST zed-0.226.4-crates.tar.xz 118725452 BLAKE2B 
eac1286e6b810f9695d962343827cfeb2a941eb986f440df9b1bca91b9f20261b856d2f2c7d5bede49a32c5f0a0995d101342f7aa3694360417e52e4408ca956
 SHA512 
86204db0f04e3908f59a3e10085f0c998e3d2c32e7d4bcfd6d888d15aa787c0d72bef2c28a850c38f5100d1083998cf3d2083263f597b7dc2272263053d4c7d3
 DIST zed-0.226.4.tar.gz 24636498 BLAKE2B 
3702a3032deee0f7d05b2f8431a62c86c00cec72b2c5332bb5453aae78170e8edeb345db8860983c0d28157b7d569eff8fa20dada90f6f70661008e4541560ca
 SHA512 
011e2f46ca89bf4a715ad453bc3bf16147cf6f42205c681cc53a2de9f74ef530d77cc925ddcdbf7ad290ef6da2d13105ecac2e034aedb98fe929e4c42bb038fc
+DIST zed-0.227.1-crates.tar.xz 119835160 BLAKE2B 
c9b07f1d7ea03f1c3f6837b749374cc513843da4c2b39b84637265c6b21cdbbe91682cf45d7be7cf64a2284b89aefdc50bdf9e6e48dc08b221f21cee95cdf08b
 SHA512 
6e1acfd1141b9e51da3b302201f70f8eeaec3a709c5830520b65631dc30eb82b5430da336ca946d285ecc9dcf2403d51f4ead49812c2b5f958bdb49c37f12b8d
+DIST zed-0.227.1.tar.gz 24875507 BLAKE2B 
8608f389b3eb25b7640e503562c839b7cf64c5a0dac699558c3dd7c2c2dd4c52c07cb7500281107a86440da26e88efa2a6368a58f20069f0638579cf1788779f
 SHA512 
5ccf96b2046d74787e8b0106648485b1f128ef4e2746fe4ac53b78c1bad86fe6283e8a783d992d49c84ba84cf27f707ac3764b601013ab85c8cdeec9aa5dc9aa

diff --git a/app-editors/zed/zed-0.227.1.ebuild 
b/app-editors/zed/zed-0.227.1.ebuild
new file mode 100644
index 000000000000..8d00ada3b7dd
--- /dev/null
+++ b/app-editors/zed/zed-0.227.1.ebuild
@@ -0,0 +1,254 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.15.1
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+       
[alacritty_terminal]='https://github.com/zed-industries/alacritty;9d9640d4e56d67a09d049f9c0a300aae08d4f61e;alacritty-%commit%/alacritty_terminal'
+       
[async-pipe]='https://github.com/zed-industries/async-pipe-rs;82d00a04211cf4e1236029aa03e6b6ce2a74c553;async-pipe-rs-%commit%'
+       
[async-task]='https://github.com/smol-rs/async-task;b4486cd71e4e94fbda54ce6302444de14f4d190e;async-task-%commit%'
+       
[calloop]='https://github.com/zed-industries/calloop;eb6b4fd17b9af5ecc226546bdd04185391b3e265;calloop-%commit%'
+       
[candle-core]='https://github.com/zed-industries/candle;724d75eb3deebefe83f2a7381a45d4fac6eda383;candle-%commit%/candle-core'
+       
[candle-nn]='https://github.com/zed-industries/candle;724d75eb3deebefe83f2a7381a45d4fac6eda383;candle-%commit%/candle-nn'
+       
[candle-onnx]='https://github.com/zed-industries/candle;724d75eb3deebefe83f2a7381a45d4fac6eda383;candle-%commit%/candle-onnx'
+       
[dap-types]='https://github.com/zed-industries/dap-types;1b461b310481d01e02b2603c16d7144b926339f8;dap-types-%commit%/dap-types'
+       
[gh-workflow-macros]='https://github.com/zed-industries/gh-workflow;c9eac0ed361583e1072860d96776fa52775b82ac;gh-workflow-%commit%/crates/gh-workflow-macros'
+       
[gh-workflow]='https://github.com/zed-industries/gh-workflow;c9eac0ed361583e1072860d96776fa52775b82ac;gh-workflow-%commit%/crates/gh-workflow'
+       
[libwebrtc]='https://github.com/zed-industries/livekit-rust-sdks;37835f840d0070d45ac8b31cce6a6ae7aca3f459;livekit-rust-sdks-%commit%/libwebrtc'
+       
[livekit-api]='https://github.com/zed-industries/livekit-rust-sdks;37835f840d0070d45ac8b31cce6a6ae7aca3f459;livekit-rust-sdks-%commit%/livekit-api'
+       
[livekit-protocol]='https://github.com/zed-industries/livekit-rust-sdks;37835f840d0070d45ac8b31cce6a6ae7aca3f459;livekit-rust-sdks-%commit%/livekit-protocol'
+       
[livekit-runtime]='https://github.com/zed-industries/livekit-rust-sdks;37835f840d0070d45ac8b31cce6a6ae7aca3f459;livekit-rust-sdks-%commit%/livekit-runtime'
+       
[livekit]='https://github.com/zed-industries/livekit-rust-sdks;37835f840d0070d45ac8b31cce6a6ae7aca3f459;livekit-rust-sdks-%commit%/livekit'
+       
[lsp-types]='https://github.com/zed-industries/lsp-types;a4f410987660bf560d1e617cb78117c6b6b9f599;lsp-types-%commit%'
+       
[mermaid-rs-renderer]='https://github.com/zed-industries/mermaid-rs-renderer;374db9ead5426697c6c2111151d9f246899bc638;mermaid-rs-renderer-%commit%'
+       
[naga]='https://github.com/zed-industries/wgpu;6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d;wgpu-%commit%/naga'
+       
[notify-types]='https://github.com/zed-industries/notify;ce58c24cad542c28e04ced02e20325a4ec28a31d;notify-%commit%/notify-types'
+       
[notify]='https://github.com/zed-industries/notify;ce58c24cad542c28e04ced02e20325a4ec28a31d;notify-%commit%/notify'
+       
[nvim-rs]='https://github.com/KillTheMule/nvim-rs;764dd270c642f77f10f3e19d05cc178a6cbe69f3;nvim-rs-%commit%'
+       
[pet-conda]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-conda'
+       
[pet-core]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-core'
+       
[pet-env-var-path]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-env-var-path'
+       
[pet-fs]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-fs'
+       
[pet-global-virtualenvs]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-global-virtualenvs'
+       
[pet-homebrew]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-homebrew'
+       
[pet-jsonrpc]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-jsonrpc'
+       
[pet-linux-global-python]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-linux-global-python'
+       
[pet-mac-commandlinetools]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-mac-commandlinetools'
+       
[pet-mac-python-org]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-mac-python-org'
+       
[pet-mac-xcode]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-mac-xcode'
+       
[pet-pipenv]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-pipenv'
+       
[pet-pixi]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-pixi'
+       
[pet-poetry]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-poetry'
+       
[pet-pyenv]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-pyenv'
+       
[pet-python-utils]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-python-utils'
+       
[pet-reporter]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-reporter'
+       
[pet-telemetry]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-telemetry'
+       
[pet-uv]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-uv'
+       
[pet-venv]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-venv'
+       
[pet-virtualenv]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-virtualenv'
+       
[pet-virtualenvwrapper]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-virtualenvwrapper'
+       
[pet-windows-registry]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-windows-registry'
+       
[pet-windows-store]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet-windows-store'
+       
[pet]='https://github.com/microsoft/python-environment-tools;d5b5bb0c4558a51d8cc76b514bc870fd1c042f16;python-environment-tools-%commit%/crates/pet'
+       
[rodio]='https://github.com/RustAudio/rodio;e50e726ddd0292f6ef9de0dda6b90af4ed1fb66a;rodio-%commit%'
+       
[tiktoken-rs]='https://github.com/zed-industries/tiktoken-rs;2570c4387a8505fb8f1d3f3557454b474f1e8271;tiktoken-rs-%commit%/tiktoken-rs'
+       
[tree-sitter-cpp]='https://github.com/tree-sitter/tree-sitter-cpp;5cb9b693cfd7bfacab1d9ff4acac1a4150700609;tree-sitter-cpp-%commit%'
+       
[tree-sitter-gitcommit]='https://github.com/zed-industries/tree-sitter-git-commit;88309716a69dd13ab83443721ba6e0b491d37ee9;tree-sitter-git-commit-%commit%'
+       
[tree-sitter-gomod]='https://github.com/camdencheek/tree-sitter-go-mod;2e886870578eeba1927a2dc4bd2e2b3f598c5f9a;tree-sitter-go-mod-%commit%'
+       
[tree-sitter-gowork]='https://github.com/zed-industries/tree-sitter-go-work;acb0617bf7f4fda02c6217676cc64acb89536dc7;tree-sitter-go-work-%commit%'
+       
[tree-sitter-heex]='https://github.com/zed-industries/tree-sitter-heex;1dd45142fbb05562e35b2040c6129c9bca346592;tree-sitter-heex-%commit%'
+       
[tree-sitter-md]='https://github.com/tree-sitter-grammars/tree-sitter-markdown;9a23c1a96c0513d8fc6520972beedd419a973539;tree-sitter-markdown-%commit%'
+       
[tree-sitter-typescript]='https://github.com/zed-industries/tree-sitter-typescript;e2c53597d6a5d9cf7bbe8dccde576fe1e46c5899;tree-sitter-typescript-%commit%'
+       
[tree-sitter-yaml]='https://github.com/zed-industries/tree-sitter-yaml;baff0b51c64ef6a1fb1f8390f3ad6015b83ec13a;tree-sitter-yaml-%commit%'
+       
[webrtc-sys-build]='https://github.com/zed-industries/livekit-rust-sdks;37835f840d0070d45ac8b31cce6a6ae7aca3f459;livekit-rust-sdks-%commit%/webrtc-sys/build'
+       
[webrtc-sys]='https://github.com/zed-industries/livekit-rust-sdks;37835f840d0070d45ac8b31cce6a6ae7aca3f459;livekit-rust-sdks-%commit%/webrtc-sys'
+       
[wgpu-core-deps-apple]='https://github.com/zed-industries/wgpu;6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d;wgpu-%commit%/wgpu-core/platform-deps/apple'
+       
[wgpu-core-deps-emscripten]='https://github.com/zed-industries/wgpu;6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d;wgpu-%commit%/wgpu-core/platform-deps/emscripten'
+       
[wgpu-core-deps-windows-linux-android]='https://github.com/zed-industries/wgpu;6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d;wgpu-%commit%/wgpu-core/platform-deps/windows-linux-android'
+       
[wgpu-core]='https://github.com/zed-industries/wgpu;6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d;wgpu-%commit%/wgpu-core'
+       
[wgpu-hal]='https://github.com/zed-industries/wgpu;6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d;wgpu-%commit%/wgpu-hal'
+       
[wgpu-types]='https://github.com/zed-industries/wgpu;6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d;wgpu-%commit%/wgpu-types'
+       
[wgpu]='https://github.com/zed-industries/wgpu;6e0c2546d99dad72ce6ffb5b04349e6a4ce96e6d;wgpu-%commit%/wgpu'
+       
[windows-capture]='https://github.com/zed-industries/windows-capture;f0d6c1b6691db75461b732f6d5ff56eed002eeb9;windows-capture-%commit%'
+       
[wprcontrol]='https://github.com/zed-industries/wprcontrol;cd811f7d744f65291e13131b1d907fda63ed91a1;wprcontrol-%commit%'
+       
[xim-ctext]='https://github.com/zed-industries/xim-rs;16f35a2c881b815a2b6cdfd6687988e84f8447d8;xim-rs-%commit%/xim-ctext'
+       
[xim-parser]='https://github.com/zed-industries/xim-rs;16f35a2c881b815a2b6cdfd6687988e84f8447d8;xim-rs-%commit%/xim-parser'
+       
[zed-font-kit]='https://github.com/zed-industries/font-kit;110523127440aefb11ce0cf280ae7c5071337ec5;font-kit-%commit%'
+       
[zed-reqwest]='https://github.com/zed-industries/reqwest;c15662463bda39148ba154100dd44d3fba5873a4;reqwest-%commit%'
+       
[zed-scap]='https://github.com/zed-industries/scap;4afea48c3b002197176fb19cd0f9b180dd36eaac;scap-%commit%'
+       
[zed-xim]='https://github.com/zed-industries/xim-rs;16f35a2c881b815a2b6cdfd6687988e84f8447d8;xim-rs-%commit%'
+)
+
+LLVM_COMPAT=( 21 )
+RUST_MIN_VER="1.93.0"
+RUST_NEEDS_LLVM=1
+WEBRTC_COMMIT="0001d84-2"
+
+inherit cargo check-reqs desktop flag-o-matic llvm-r1 toolchain-funcs xdg
+
+DESCRIPTION="The fast, collaborative code editor"
+HOMEPAGE="https://zed.dev https://github.com/zed-industries/zed";
+SRC_URI="
+       
https://github.com/zed-industries/zed/archive/refs/tags/v${PV/_/-}.tar.gz -> 
${P}.tar.gz
+       
https://github.com/gentoo-crate-dist/zed/releases/download/v${PV/_/-}/${P/_/-}-crates.tar.xz
+       amd64? (
+               
https://github.com/livekit/rust-sdks/releases/download/webrtc-${WEBRTC_COMMIT}/webrtc-linux-x64-release.zip
 ->
+                       webrtc-${WEBRTC_COMMIT}-linux-x64-release.zip
+       )
+       arm64? (
+               
https://github.com/livekit/rust-sdks/releases/download/webrtc-${WEBRTC_COMMIT}/webrtc-linux-arm64-release.zip
 ->
+                       webrtc-${WEBRTC_COMMIT}-linux-arm64-release.zip
+       )
+       ${CARGO_CRATE_URIS}"
+
+S="${WORKDIR}/${PN}-${PV/_/-}"
+LICENSE="GPL-3+"
+# license for fuchsia-cprng-0.1.1, which is not set correctly in crate
+LICENSE+=" BSD"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD CC0-1.0 ISC
+       LGPL-3 MIT MIT-0 MPL-2.0 UoI-NCSA openssl Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+CHECKREQS_DISK_BUILD="18G"
+CHECKREQS_MEMORY="8G"
+
+DEPEND="
+       dev-libs/glib:2
+       dev-libs/wayland
+       || (
+               media-fonts/dejavu
+               media-fonts/cantarell
+               media-fonts/noto
+               media-fonts/ubuntu-font-family
+       )
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/freetype
+       media-libs/libpulse
+       media-libs/vulkan-loader[X]
+       virtual/zlib:=
+       x11-libs/libX11
+       x11-libs/libxcb:=
+       x11-libs/libxkbcommon[X]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       app-arch/unzip
+       dev-build/cmake
+       dev-libs/wayland-protocols
+       dev-util/wayland-scanner
+       dev-util/vulkan-headers
+       sys-devel/gettext
+       $(llvm_gen_dep '
+               llvm-core/clang:${LLVM_SLOT}=
+               llvm-core/llvm:${LLVM_SLOT}=
+       ')
+"
+
+QA_FLAGS_IGNORED="usr/bin/zedit"
+
+pkg_setup() {
+       if tc-is-lto; then
+               if tc-is-gcc; then
+                       export CARGO_PROFILE_RELEASE_LTO="true"
+               elif tc-is-clang; then
+                       export CARGO_PROFILE_RELEASE_LTO="thin"
+               fi
+       else
+               export CARGO_PROFILE_RELEASE_LTO="false"
+       fi
+
+       strip-unsupported-flags
+       # flags from upstream
+       export RUSTFLAGS="${RUSTFLAGS} -C symbol-mangling-version=v0 --cfg 
tokio_unstable -C link-args=-Wl,--disable-new-dtags,-rpath,\$ORIGIN/../lib"
+       llvm-r1_pkg_setup
+       rust_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       export APP_CLI="zedit"
+       export APP_ICON="zed"
+       if [[ "${PV}" == *pre ]]; then
+               export APP_ID="dev.zed.Zed-Preview"
+       else
+               export APP_ID="dev.zed.Zed"
+       fi
+       export APP_NAME="Zed"
+       export APP_ARGS="%U"
+       export DO_STARTUP_NOTIFY="true"
+       envsubst < "crates/zed/resources/zed.desktop.in" > ${APP_ID}.desktop || 
die
+
+       # Cargo offline fetch workaround
+       local ASYNC_TASK_COMMIT="b4486cd71e4e94fbda54ce6302444de14f4d190e"
+       local ASYNC_TASK_GIT="async-task = { git = 
\"https://github.com/smol-rs/async-task.git\";, rev = \"${ASYNC_TASK_COMMIT}\""
+       local ASYNC_TASK_PATH="async-task = \\{ path = 
\"${WORKDIR}/async-task-${ASYNC_TASK_COMMIT}\""
+
+       local CALLOOP_COMMIT="eb6b4fd17b9af5ecc226546bdd04185391b3e265"
+       local CALLOOP_GIT="calloop = { git = 
\"https://github.com/zed-industries/calloop\"";
+       local CALLOOP_PATH="calloop = \\{ path = 
\"${WORKDIR}/calloop-${CALLOOP_COMMIT}\""
+
+       local LIVEKIT_COMMIT="37835f840d0070d45ac8b31cce6a6ae7aca3f459"
+       local LIVEKIT_GIT="livekit = { git = 
\"https://github.com/zed-industries/livekit-rust-sdks\";, rev = 
\"${LIVEKIT_COMMIT}\""
+       local LIVEKIT_PATH="livekit = \\{ path = 
\"${WORKDIR}/livekit-rust-sdks-${LIVEKIT_COMMIT}/livekit\""
+
+       local LIBWERBRTC_GIT="libwebrtc = { git = 
\"https://github.com/zed-industries/livekit-rust-sdks\";, rev = 
\"${LIVEKIT_COMMIT}\""
+       local LIBWERBRTC_PATH="libwebrtc = \\{ path = 
\"${WORKDIR}/livekit-rust-sdks-${LIVEKIT_COMMIT}/libwebrtc\""
+
+       local NOTIFY_COMMIT="ce58c24cad542c28e04ced02e20325a4ec28a31d"
+       local NOTIFY_GIT="notify = { git = 
\"https://github.com/zed-industries/notify.git\";, rev = \"${NOTIFY_COMMIT}\""
+       local NOTIFY_PATH="notify = \\{ path = 
\"${WORKDIR}/notify-${NOTIFY_COMMIT}/notify\""
+       local NOTIFY_TYPES_GIT="notify-types = { git = 
\"https://github.com/zed-industries/notify.git\";, rev = \"${NOTIFY_COMMIT}\""
+       local NOTIFY_TYPES_PATH="notify-types = \\{ path = 
\"${WORKDIR}/notify-${NOTIFY_COMMIT}/notify-types\""
+
+       local WIN_CAP_COMMIT="f0d6c1b6691db75461b732f6d5ff56eed002eeb9"
+       local WIN_CAP_GIT="windows-capture = { git = 
\"https://github.com/zed-industries/windows-capture.git\";, rev = 
\"${WIN_CAP_COMMIT}\""
+       local WIN_CAP_PATH="windows-capture = \\{ path = 
\"${WORKDIR}/windows-capture-${WIN_CAP_COMMIT}\""
+
+       sed -e "s#${ASYNC_TASK_GIT}#${ASYNC_TASK_PATH}#" \
+               -e "s#${CALLOOP_GIT}#${CALLOOP_PATH}#" \
+               -e "s#${LIVEKIT_GIT}#${LIVEKIT_PATH}#" \
+               -e "s#${LIBWERBRTC_GIT}#${LIBWERBRTC_PATH}#" \
+               -e "s#${NOTIFY_GIT}#${NOTIFY_PATH}#" \
+               -e "s#${NOTIFY_TYPES_GIT}#${NOTIFY_TYPES_PATH}#" \
+               -e "s#${WIN_CAP_GIT}#${WIN_CAP_PATH}#" \
+               -i "${S}/Cargo.toml" || die "Cargo fetch workaround failed"
+}
+
+src_compile() {
+       export RELEASE_VERSION="${PV}"
+       export ZED_UPDATE_EXPLANATION='Updates are handled by portage'
+       if use arm64; then
+               export LK_CUSTOM_WEBRTC="${WORKDIR}/linux-arm64-release"
+       elif use amd64; then
+               export LK_CUSTOM_WEBRTC="${WORKDIR}/linux-x64-release"
+       fi
+       cargo_src_compile --package zed --package cli
+}
+
+src_install() {
+       newbin $(cargo_target_dir)/cli ${APP_CLI}
+       exeinto "/usr/libexec"
+       newexe $(cargo_target_dir)/zed zed-editor
+
+       newicon -s 512 crates/zed/resources/app-icon.png zed.png
+       newicon -s 1024 crates/zed/resources/[email protected] zed.png
+       domenu "${S}/${APP_ID}.desktop"
+}
+
+src_test () {
+       mkdir -p "${HOME}/.config/zed" || die
+       mkdir -p "${HOME}/.local/share/zed/logs/" || die
+
+       SHELL=/usr/bin/sh RUST_BACKTRACE=full cargo_src_test -vv \
+               -- --skip zed::tests::test_window_edit_state_restoring_enabled
+}

Reply via email to